Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.auth.callback
Class UserInfoCallback

    java.lang.Object
      |
      +--weblogic.security.auth.callback.UserInfoCallback

public class UserInfoCallback
extends java.lang.Object
implements javax.security.auth.callback.Callback

Underlying security services instantiate and pass a `UserInfoCallback` to the `invokeCallback` method of a `CallbackHandler` to retrieve UserInfo Object.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `CallbackHandler`

Constructor Summary
`UserInfoCallback(java.lang.String prompt)` Construct a `UserInfoCallback` with a prompt.
`UserInfoCallback(java.lang.String prompt, UserInfo defaultUserInfo)` Construct a `UserInfoCallback` with a prompt and default UserInfo object.

Method Summary
`UserInfo` | `getdefaultUserInfo()` Get the default UserInfo.
`java.lang.String` | `getPrompt()` Get the prompt.
`UserInfo` | `getUserInfo()` Get the retrieved UserInfo.
`void` | `setUserInfo(UserInfo userinfo)` Set the retrieved UserInfo.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserInfoCallback

    public UserInfoCallback(java.lang.String prompt)

  Construct a `UserInfoCallback` with a prompt.

  Parameters:
    `prompt` - the prompt used to request the UserInfo.
  Throws:
    java.lang.IllegalArgumentException - if `prompt` is null or if `prompt` has a length of 0.

### UserInfoCallback

    public UserInfoCallback(java.lang.String prompt,
                            UserInfo defaultUserInfo)

  Construct a `UserInfoCallback` with a prompt and default UserInfo object.

  Parameters:
    `prompt` - the prompt used to request the information.

    `defaultUserInfo` - the UserInfo to be used as the default UserInfo displayed with the prompt.
  Throws:
    java.lang.IllegalArgumentException - if `prompt` is null, if `prompt` has a length of 0, if `defaultUserInfo` is null,

Method Detail

### getPrompt

    public java.lang.String getPrompt()

  Get the prompt.

  Returns:
    the prompt.

### getdefaultUserInfo

    public UserInfo getdefaultUserInfo()

  Get the default UserInfo.

  Returns:
    the default UserInfo, or null if this `UserInfo` was not instantiated with a `UserInfo`.

### setUserInfo

    public void setUserInfo(UserInfo userinfo)

  Set the retrieved UserInfo.

  Parameters:
    `UserInfo` - the retrieved UserInfo (which may be null).

### getUserInfo

    public UserInfo getUserInfo()

  Get the retrieved UserInfo.

  Returns:
    the retrieved UserInfo (which may be null)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD